Index: /branches/numpy/anuga/shallow_water/test_data_manager.py
===================================================================
--- /branches/numpy/anuga/shallow_water/test_data_manager.py	(revision 6901)
+++ /branches/numpy/anuga/shallow_water/test_data_manager.py	(revision 6902)
@@ -15,4 +15,5 @@
 from struct import pack, unpack
 from sets import ImmutableSet
+import shutil
 
 from anuga.shallow_water import *
@@ -47,12 +48,12 @@
         
         self.verbose = Test_Data_Manager.verbose
-        #Create basic mesh
+        # Create basic mesh
         points, vertices, boundary = rectangular(2, 2)
 
-        #Create shallow water domain
+        # Create shallow water domain
         domain = Domain(points, vertices, boundary)
         domain.default_order = 2
 
-        #Set some field values
+        # Set some field values
         domain.set_quantity('elevation', lambda x,y: -x)
         domain.set_quantity('friction', 0.03)
@@ -252,25 +253,25 @@
 
         # Get the variables
-        #range = fid.variables['stage_range'][:]
+        range = fid.variables['stage_range'][:]
         #print range
-        #assert num.allclose(range,[-0.93519, 0.15]) or\
-        #       num.allclose(range,[-0.9352743, 0.15]) or\
-        #       num.allclose(range,[-0.93522203, 0.15000001]) # Old slope limiters
-        
-        #range = fid.variables['xmomentum_range'][:]
+        assert num.allclose(range,[-0.93519, 0.15]) or\
+               num.allclose(range,[-0.9352743, 0.15]) or\
+               num.allclose(range,[-0.93522203, 0.15000001]) # Old slope limiters
+        
+        range = fid.variables['xmomentum_range'][:]
         ##print range
-        #assert num.allclose(range,[0,0.4695096]) or \
-        #       num.allclose(range,[0,0.47790655]) or\
-        #       num.allclose(range,[0,0.46941957]) or\
-        #       num.allclose(range,[0,0.47769409])
-
-        
-        #range = fid.variables['ymomentum_range'][:]
+        assert num.allclose(range,[0,0.4695096]) or \
+               num.allclose(range,[0,0.47790655]) or\
+               num.allclose(range,[0,0.46941957]) or\
+               num.allclose(range,[0,0.47769409])
+
+        
+        range = fid.variables['ymomentum_range'][:]
         ##print range
-        #assert num.allclose(range,[0,0.02174380]) or\
-        #       num.allclose(range,[0,0.02174439]) or\
-        #       num.allclose(range,[0,0.02283983]) or\
-        #       num.allclose(range,[0,0.0217342]) or\
-        #       num.allclose(range,[0,0.0227564]) # Old slope limiters 
+        assert num.allclose(range,[0,0.02174380]) or\
+               num.allclose(range,[0,0.02174439]) or\
+               num.allclose(range,[0,0.02283983]) or\
+               num.allclose(range,[0,0.0217342]) or\
+               num.allclose(range,[0,0.0227564]) # Old slope limiters 
         
         fid.close()
@@ -1232,5 +1233,5 @@
         from Scientific.IO.NetCDF import NetCDFFile
 
-        #Setup
+        # Setup
         self.domain.set_name('datatest')
 
@@ -1245,5 +1246,5 @@
         self.domain.set_quantity('stage', 1.0)
 
-        self.domain.geo_reference = Geo_reference(56,308500,6189000)
+        self.domain.geo_reference = Geo_reference(56, 308500, 6189000)
 
         sww = get_dataobject(self.domain)
@@ -5563,5 +5564,5 @@
             quantities_init[0].append(this_ha) # HA
             quantities_init[1].append(this_ua) # UA
-            quantities_init[2].append(this_va) # VA
+            quantities_init[2].append(this_va) # VA 
                 
         file_handle, base_name = tempfile.mkstemp("")
@@ -6104,5 +6105,4 @@
                         #print 'writing', time, point_i, q_time[time, point_i]
                         f.write(pack('f', q_time[time, point_i]))
-
             f.close()
 
@@ -6215,9 +6215,9 @@
 
         msg='Incorrect gauge depths returned'
-        assert num.allclose(elevation,-depth),msg
+        assert num.allclose(elevation, -depth),msg
         msg='incorrect gauge height time series returned'
-        assert num.allclose(stage,ha)
+        assert num.allclose(stage, ha)
         msg='incorrect gauge ua time series returned'
-        assert num.allclose(xvelocity,ua)
+        assert num.allclose(xvelocity, ua)
         msg='incorrect gauge va time series returned'
         assert num.allclose(yvelocity, -va) # South is positive in MUX
@@ -6397,4 +6397,5 @@
                 if j == 2: assert num.allclose(data[i][:parameters_index], -va0[permutation[i], :])
         
+        self.delete_mux(filesI)
 
 
@@ -6407,5 +6408,6 @@
         wrong values Win32
 
-        This test does not pass on Windows but test_read_mux_platform_problem1 does
+        This test does not pass on Windows but test_read_mux_platform_problem1
+        does
         """
         
@@ -6422,5 +6424,6 @@
         times_ref = num.arange(0, time_step_count*time_step, time_step)
         
-        lat_long_points = [(-21.5,114.5), (-21,114.5), (-21.5,115), (-21.,115.), (-22., 117.)]
+        lat_long_points = [(-21.5,114.5), (-21,114.5), (-21.5,115),
+                           (-21.,115.), (-22., 117.)]
         n = len(lat_long_points)
         
@@ -6466,5 +6469,5 @@
              for j in range(0, first_tstep[i]-1) + range(last_tstep[i], time_step_count):
                  # For timesteps before and after recording range
-                 ha1[i][j] = ua1[i][j] = va1[i][j] = 0.0                                  
+                 ha1[i][j] = ua1[i][j] = va1[i][j] = 0.0 
 
 
@@ -6474,5 +6477,5 @@
         #print 'va', va1[0,:]
         
-        # Write second mux file to be combined by urs2sts                                             
+        # Write second mux file to be combined by urs2sts 
         base_nameII, filesII = self.write_mux2(lat_long_points,
                                                time_step_count, time_step,
@@ -6605,26 +6608,17 @@
 
             f.close()
-
-
-
-
-
-
-        
                                                
         # Create ordering file
         permutation = ensure_numeric([4,0,2])
 
-        _, ordering_filename = tempfile.mkstemp('')
-        order_fid = open(ordering_filename, 'w')  
-        order_fid.write('index, longitude, latitude\n')
-        for index in permutation:
-            order_fid.write('%d, %f, %f\n' %(index, 
-                                             lat_long_points[index][1], 
-                                             lat_long_points[index][0]))
-        order_fid.close()
-        
-        
-
+       #  _, ordering_filename = tempfile.mkstemp('')
+#         order_fid = open(ordering_filename, 'w')  
+#         order_fid.write('index, longitude, latitude\n')
+#         for index in permutation:
+#             order_fid.write('%d, %f, %f\n' %(index, 
+#                                              lat_long_points[index][1], 
+#                                              lat_long_points[index][0]))
+#         order_fid.close()
+        
         # -------------------------------------
         # Now read files back and check values
@@ -6638,6 +6632,4 @@
         for j, file in enumerate(filesII):
             # Read stage, u, v enumerated as j
-
-            
             #print 'Reading', j, file
             data = read_mux2(1, [file], weights, file_params, permutation, verbose)
@@ -6645,6 +6637,4 @@
             #print 'Data received by Python'
             #print data[1][8]
-
-            
             number_of_selected_stations = data.shape[0]
 
@@ -6659,6 +6649,4 @@
                 #print i, parameters_index
                 #print quantity[i][:]
-
-                
                 if j == 0: assert num.allclose(data[i][:parameters_index], ha1[permutation[i], :])
                 if j == 1: assert num.allclose(data[i][:parameters_index], ua1[permutation[i], :])
@@ -6669,13 +6657,305 @@
                     #print j, i
                     #print 'Input'
-                    #print 'u', ua1[permutation[i], 8]                                        
+                    #print 'u', ua1[permutation[i], 8]       
                     #print 'v', va1[permutation[i], 8]
                 
                     #print 'Output'
-                    #print 'v ', data[i][:parameters_index][8]                    
+                    #print 'v ', data[i][:parameters_index][8]  
+
+                    # South is positive in MUX
+                    #print "data[i][:parameters_index]", data[i][:parameters_index]
+                    #print "-va1[permutation[i], :]", -va1[permutation[i], :]
+                    assert num.allclose(data[i][:parameters_index], -va1[permutation[i], :])
+        
+        self.delete_mux(filesII)
+           
+    def test_read_mux_platform_problem3(self):
+        
+        # This is to test a situation where read_mux returned 
+        # wrong values Win32
+
+        
+        from urs_ext import read_mux2 
+        
+        from anuga.config import single_precision as epsilon        
+        
+        verbose = False
                 
-                    # South is positive in MUX
+        tide = 1.5
+        time_step_count = 10
+        time_step = 0.02
+
+        '''
+        Win results
+        time_step = 0.2000001
+        This is OK        
+        '''
+        
+        '''
+        Win results
+        time_step = 0.20000001
+
+        ======================================================================
+ERROR: test_read_mux_platform_problem3 (__main__.Test_Data_Manager)
+----------------------------------------------------------------------
+Traceback (most recent call last):
+  File "test_data_manager.py", line 6718, in test_read_mux_platform_problem3
+    ha1[0]=num.sin(times_ref)
+ValueError: matrices are not aligned for copy
+
+        '''
+
+        '''
+        Win results
+        time_step = 0.200000001
+        FAIL
+         assert num.allclose(data[i][:parameters_index],
+         -va1[permutation[i], :])
+        '''
+        times_ref = num.arange(0, time_step_count*time_step, time_step)
+        #print "times_ref", times_ref
+        
+        lat_long_points = [(-21.5,114.5), (-21,114.5), (-21.5,115),
+                           (-21.,115.), (-22., 117.)]
+        stations = len(lat_long_points)
+        
+        # Create different timeseries starting and ending at different times 
+        first_tstep=num.ones(stations, num.int)
+        first_tstep[0]+=2   # Point 0 starts at 2
+        first_tstep[1]+=4   # Point 1 starts at 4        
+        first_tstep[2]+=3   # Point 2 starts at 3
+        
+        last_tstep=(time_step_count)*num.ones(stations, num.int)
+        last_tstep[0]-=1    # Point 0 ends 1 step early
+        last_tstep[1]-=2    # Point 1 ends 2 steps early                
+        last_tstep[4]-=3    # Point 4 ends 3 steps early        
+        
+        # Create varying elevation data (positive values for seafloor)
+        gauge_depth=20*num.ones(stations, num.float)
+        for i in range(stations):
+            gauge_depth[i] += i**2
+            
+        # Create data to be written to second mux file        
+        ha1=num.ones((stations,time_step_count), num.float)
+        ha1[0]=num.sin(times_ref)
+        ha1[1]=2*num.sin(times_ref - 3)
+        ha1[2]=5*num.sin(4*times_ref)
+        ha1[3]=num.sin(times_ref)
+        ha1[4]=num.sin(2*times_ref-0.7)
+                
+        ua1=num.zeros((stations,time_step_count),num.float)
+        ua1[0]=3*num.cos(times_ref)        
+        ua1[1]=2*num.sin(times_ref-0.7)   
+        ua1[2]=num.arange(3*time_step_count,4*time_step_count)
+        ua1[4]=2*num.ones(time_step_count)
+        
+        va1=num.zeros((stations,time_step_count),num.float)
+        va1[0]=2*num.cos(times_ref-0.87)        
+        va1[1]=3*num.ones(time_step_count)
+        va1[3]=2*num.sin(times_ref-0.71)        
+        #print "va1[0]", va1[0]  # The 8th element is what will go bad.
+        # Ensure data used to write mux file to be zero when gauges are
+        # not recording
+        for i in range(stations):
+             # For each point
+             for j in range(0, first_tstep[i]-1) + range(last_tstep[i],
+                                                         time_step_count):
+                 # For timesteps before and after recording range
+                 ha1[i][j] = ua1[i][j] = va1[i][j] = 0.0 
+
+
+        #print 'Second station to be written to MUX'
+        #print 'ha', ha1[0,:]
+        #print 'ua', ua1[0,:]
+        #print 'va', va1[0,:]
+        
+        # Write second mux file to be combined by urs2sts 
+        base_nameII, filesII = self.write_mux2(lat_long_points,
+                                               time_step_count, time_step,
+                                               first_tstep, last_tstep,
+                                               depth=gauge_depth,
+                                               ha=ha1,
+                                               ua=ua1,
+                                               va=va1)
+        #print "filesII", filesII
+
+
+
+
+        # Read mux file back and verify it's correcness
+
+        ####################################################
+        # FIXME (Ole): This is where the test should
+        # verify that the MUX files are correct.
+
+        #JJ: It appears as though
+        #that certain quantities are not being stored with enough precision
+        #inn muxfile or more likely that they are being cast into a
+        #lower precision when read in using read_mux2 Time step and q_time
+        # are equal but only to approx 1e-7
+        ####################################################
+
+        #define information as it should be stored in mus2 files
+        points_num=len(lat_long_points)
+        depth=gauge_depth
+        ha=ha1
+        ua=ua1
+        va=va1
+        
+        quantities = ['HA','UA','VA']
+        mux_names = [WAVEHEIGHT_MUX2_LABEL,
+                     EAST_VELOCITY_MUX2_LABEL,
+                     NORTH_VELOCITY_MUX2_LABEL]
+        quantities_init = [[],[],[]]
+        latlondeps = []
+        #irrelevant header information
+        ig=ilon=ilat=0
+        mcolat=mcolon=centerlat=centerlon=offset=az=baz=id=0.0
+        # urs binary is latitude fastest
+        for i,point in enumerate(lat_long_points):
+            lat = point[0]
+            lon = point[1]
+            _ , e, n = redfearn(lat, lon)
+            if depth is None:
+                this_depth = n
+            else:
+                this_depth = depth[i]
+            latlondeps.append([lat, lon, this_depth])
+
+            if ha is None:
+                this_ha = e
+                quantities_init[0].append(num.ones(time_step_count,
+                                                   num.float)*this_ha) # HA
+            else:
+                quantities_init[0].append(ha[i])
+            if ua is None:
+                this_ua = n
+                quantities_init[1].append(num.ones(time_step_count,
+                                                   num.float)*this_ua) # UA
+            else:
+                quantities_init[1].append(ua[i])
+            if va is None:
+                this_va = e
+                quantities_init[2].append(num.ones(time_step_count,
+                                                   num.float)*this_va) #
+            else:
+                quantities_init[2].append(va[i])
+
+        for i, q in enumerate(quantities):
+            #print
+            #print i, q
+            
+            q_time = num.zeros((time_step_count, points_num), num.float)
+            quantities_init[i] = ensure_numeric(quantities_init[i])
+            for time in range(time_step_count):
+                #print i, q, time, quantities_init[i][:,time]
+                q_time[time,:] = quantities_init[i][:,time]
+                #print i, q, time, q_time[time, :]
+
+            
+            filename = base_nameII + mux_names[i]
+            f = open(filename, 'rb')
+            if self.verbose: print 'Reading' + filename
+            assert abs(points_num-unpack('i',f.read(4))[0])<epsilon
+            #write mux 2 header
+            for latlondep in latlondeps:
+                assert abs(latlondep[0]-unpack('f',f.read(4))[0])<epsilon
+                assert abs(latlondep[1]-unpack('f',f.read(4))[0])<epsilon
+                assert abs(mcolat-unpack('f',f.read(4))[0])<epsilon
+                assert abs(mcolon-unpack('f',f.read(4))[0])<epsilon
+                assert abs(ig-unpack('i',f.read(4))[0])<epsilon
+                assert abs(ilon-unpack('i',f.read(4))[0])<epsilon
+                assert abs(ilat-unpack('i',f.read(4))[0])<epsilon
+                assert abs(latlondep[2]-unpack('f',f.read(4))[0])<epsilon
+                assert abs(centerlat-unpack('f',f.read(4))[0])<epsilon
+                assert abs(centerlon-unpack('f',f.read(4))[0])<epsilon
+                assert abs(offset-unpack('f',f.read(4))[0])<epsilon
+                assert abs(az-unpack('f',f.read(4))[0])<epsilon
+                assert abs(baz-unpack('f',f.read(4))[0])<epsilon
+                
+                x = unpack('f', f.read(4))[0]
+                #print time_step
+                #print x
+                assert abs(time_step-x)<epsilon
+                assert abs(time_step_count-unpack('i',f.read(4))[0])<epsilon
+                for j in range(4): # identifier
+                    assert abs(id-unpack('i',f.read(4))[0])<epsilon 
+
+            #first_tstep=1
+            #last_tstep=time_step_count
+            for i,latlondep in enumerate(latlondeps):
+                assert abs(first_tstep[i]-unpack('i',f.read(4))[0])<epsilon
+            for i,latlondep in enumerate(latlondeps):
+                assert abs(last_tstep[i]-unpack('i',f.read(4))[0])<epsilon
+
+            # Find when first station starts recording
+            min_tstep = min(first_tstep)
+            # Find when all stations have stopped recording
+            max_tstep = max(last_tstep)
+
+            #for time in  range(time_step_count):
+            for time in range(min_tstep-1,max_tstep):
+                assert abs(time*time_step-unpack('f',f.read(4))[0])<epsilon
+                for point_i in range(points_num):
+                    if time+1>=first_tstep[point_i] and time+1<=last_tstep[point_i]:
+                        x = unpack('f',f.read(4))[0]
+                        #print time, x, q_time[time, point_i]
+                        if q == 'VA': x = -x # South is positive in MUX
+                        #print q+" q_time[%d, %d] = %f" %(time, point_i, 
+                                                      #q_time[time, point_i])
+                        assert abs(q_time[time, point_i]-x)<epsilon
+
+            f.close()
+                            
+        permutation = ensure_numeric([4,0,2])
+                   
+        # Create ordering file
+#         _, ordering_filename = tempfile.mkstemp('')
+#         order_fid = open(ordering_filename, 'w')  
+#         order_fid.write('index, longitude, latitude\n')
+#         for index in permutation:
+#             order_fid.write('%d, %f, %f\n' %(index, 
+#                                              lat_long_points[index][1], 
+#                                              lat_long_points[index][0]))
+#         order_fid.close()
+        
+        # -------------------------------------
+        # Now read files back and check values
+        weights = ensure_numeric([1.0])
+
+        # For each quantity read the associated list of source mux2 file with 
+        # extention associated with that quantity
+        file_params=-1*num.ones(3,num.float) # [nsta,dt,nt]
+        OFFSET = 5
+
+        for j, file in enumerate(filesII):
+            # Read stage, u, v enumerated as j
+            #print 'Reading', j, file
+            #print "file", file
+            data = read_mux2(1, [file], weights, file_params,
+                             permutation, verbose)
+            #print str(j) + "data", data
+
+            #print 'Data received by Python'
+            #print data[1][8]
+            number_of_selected_stations = data.shape[0]
+            #print "number_of_selected_stations", number_of_selected_stations
+            #print "stations", stations
+
+            # Index where data ends and parameters begin
+            parameters_index = data.shape[1]-OFFSET          
+                 
+            for i in range(number_of_selected_stations):
+        
+                #print i, parameters_index
+                if j == 0:
+                    assert num.allclose(data[i][:parameters_index],
+                                        ha1[permutation[i], :])
+                    
+                if j == 1: assert num.allclose(data[i][:parameters_index], ua1[permutation[i], :])
+                if j == 2:
                     assert num.allclose(data[i][:parameters_index], -va1[permutation[i], :])
-                    
+        
+        self.delete_mux(filesII)            
         
     def test_urs2sts0(self):
@@ -6819,10 +7099,10 @@
 
         base_name, files = self.write_mux2(lat_long_points,
-                                      time_step_count, time_step,
-                                      first_tstep, last_tstep,
-                                      depth=gauge_depth,
-                                      ha=ha,
-                                      ua=ua,
-                                      va=va)
+                                           time_step_count, time_step,
+                                           first_tstep, last_tstep,
+                                           depth=gauge_depth,
+                                           ha=ha,
+                                           ua=ua,
+                                           va=va)
 
         urs2sts(base_name,
@@ -6850,6 +7130,6 @@
         y = points[:,1]
 
-        #Check that all coordinate are correctly represented       
-        #Using the non standard projection (50) 
+        # Check that all coordinate are correctly represented       
+        # Using the non standard projection (50) 
         for i in range(4):
             zone, e, n = redfearn(lat_long_points[i][0],
@@ -6858,4 +7138,6 @@
             assert num.allclose([x[i],y[i]], [e,n])
             assert zone==-1
+        
+        self.delete_mux(files)
 
             
@@ -6915,6 +7197,6 @@
         y = points[:,1]
 
-        #Check that all coordinate are correctly represented       
-        #Using the non standard projection (50) 
+        # Check that all coordinate are correctly represented       
+        # Using the non standard projection (50) 
         for i in range(4):
             zone, e, n = redfearn(lat_long_points[i][0], lat_long_points[i][1],
@@ -6922,4 +7204,6 @@
             assert num.allclose([x[i],y[i]], [e,n])
             assert zone==geo_reference.zone
+        
+        self.delete_mux(files)
 
             
@@ -7652,4 +7936,7 @@
             raise Exception, msg
 
+        
+        self.delete_mux(filesI)
+        self.delete_mux(filesII)
 
         
@@ -8034,6 +8321,4 @@
         os.remove(sts_file)
         
-        
-        
         #----------------------
         # Then read the mux files together and test
@@ -8148,6 +8433,4 @@
         os.remove(sts_file)
         
-
-        
         #---------------
         # "Manually" add the timeseries up with weights and test
@@ -8157,9 +8440,4 @@
         stage_man = weights[0]*(stage0-tide) + weights[1]*(stage1-tide) + tide
         assert num.allclose(stage_man, stage)
-        
-        
-        
-        
-        
                 
         
@@ -8288,15 +8566,12 @@
                         
         assert num.allclose(domain_fbound.quantities['xmomentum'].vertex_values,
-                            domain_drchlt.quantities['xmomentum'].vertex_values)                        
+                            domain_drchlt.quantities['xmomentum'].vertex_values) 
                         
         assert num.allclose(domain_fbound.quantities['ymomentum'].vertex_values,
-                            domain_drchlt.quantities['ymomentum'].vertex_values)                                                
+                            domain_drchlt.quantities['ymomentum'].vertex_values)
         
         
         os.remove(sts_file+'.sts')
         os.remove(meshname)
-        
-        
-        
                 
         
@@ -8419,11 +8694,4 @@
 
 
-
-        
-        
-        
-            
-
-        
         domain_drchlt = Domain(meshname)
         domain_drchlt.set_quantity('stage', tide)
@@ -8447,15 +8715,11 @@
                         
         assert num.allclose(domain_fbound.quantities['xmomentum'].vertex_values,
-                            domain_drchlt.quantities['xmomentum'].vertex_values)                        
+                            domain_drchlt.quantities['xmomentum'].vertex_values) 
                         
         assert num.allclose(domain_fbound.quantities['ymomentum'].vertex_values,
-                            domain_drchlt.quantities['ymomentum'].vertex_values)                                                
-        
+                            domain_drchlt.quantities['ymomentum'].vertex_values) 
         
         os.remove(sts_file+'.sts')
         os.remove(meshname)
-
-
-        
                 
         
@@ -10934,4 +11198,5 @@
         domain.set_quantity('xmomentum', uh)
         domain.set_boundary( {'left': Bd, 'right': Bd, 'top': Br, 'bottom': Br})
+
         for t in domain.evolve(yieldstep=1, finaltime = t_end):
             pass
@@ -11357,4 +11622,47 @@
 
             
+    def test_copy_code_files(self):
+        '''test that the copy_code_files() function is sane.'''
+
+        def create_file(f):
+            fd = open(f, 'w')
+            fd.write('%s\n' % f)
+            fd.close()
+
+        # create working directories and test files
+        work_dir = tempfile.mkdtemp()
+        dst_dir = tempfile.mkdtemp(dir=work_dir)
+        src_dir = tempfile.mkdtemp(dir=work_dir)
+
+        f1 = 'file1'        
+        filename1 = os.path.join(src_dir, f1)
+        create_file(filename1)
+        f2 = 'file2'        
+        filename2 = os.path.join(src_dir, f2)
+        create_file(filename2)
+        f3 = 'file3'        
+        filename3 = os.path.join(src_dir, f3)
+        create_file(filename3)
+        f4 = 'file4'        
+        filename4 = os.path.join(src_dir, f4)
+        create_file(filename4)
+        f5 = 'file5'        
+        filename5 = os.path.join(src_dir, f5)
+        create_file(filename5)
+
+        # exercise the copy function
+        copy_code_files(dst_dir, filename1)
+        copy_code_files(dst_dir, filename1, filename2)
+        copy_code_files(dst_dir, (filename4, filename5, filename3))
+
+        # test that files were actually copied
+        self.failUnless(access(os.path.join(dst_dir, f1), F_OK))
+        self.failUnless(access(os.path.join(dst_dir, f2), F_OK))
+        self.failUnless(access(os.path.join(dst_dir, f3), F_OK))
+        self.failUnless(access(os.path.join(dst_dir, f4), F_OK))
+        self.failUnless(access(os.path.join(dst_dir, f5), F_OK))
+
+        # clean up
+        shutil.rmtree(work_dir)
             
 #-------------------------------------------------------------
@@ -11362,8 +11670,4 @@
 if __name__ == "__main__":
     suite = unittest.makeSuite(Test_Data_Manager,'test')
-
-    # FIXME (Ole): This is the test that fails under Windows
-    #suite = unittest.makeSuite(Test_Data_Manager,'test_read_mux_platform_problem2')
-    #suite = unittest.makeSuite(Test_Data_Manager,'test_file_boundary_stsIV')
     
     if len(sys.argv) > 1 and sys.argv[1][0].upper() == 'V':
